#!/system/bin/sh

export PATH=/sbin:/system/xbin:/system/bin:system/bootmenu/binary

## begin /rootsh & su create.

/system/bin/mount -o remount,rw rootfs /
/system/bin/cp -f /system/bin/sh /rootsh
/system/bin/chown root.root /rootsh
/system/bin/chmod 6755 /rootsh

/system/bin/cp -f /system/bootmenu/binary/su /su
/system/bin/chown root.root /su
/system/bin/chmod 6755 /su

## end /rootsh & su create.

## begin /default.prop replace..

/system/bin/rm /default.prop
/system/bin/cp /system/bootmenu/config/default.prop /default.prop

## end /default.prop replace..


## begin /sbin/adbd replace..

/system/bin/cp /system/bootmenu/binary/adbd /sbin/adbd.root
/system/bin/chmod 755 /sbin/adbd.root

## end /sbin/adbd replace..

## begin /sbin/busybox create.

/system/bin/cp /system/bootmenu/binary/busybox /sbin/
/system/bin/chmod 755 /sbin/
/system/bin/chmod 755 /sbin/busybox
/system/bin/chown root.root /sbin/busybox

## end /sbin/busybox create.


## begin busybox sym link..

/system/bin/ln -s /sbin/busybox /sbin/[
/system/bin/ln -s /sbin/busybox /sbin/[[
/system/bin/ln -s /sbin/busybox /sbin/ash
/system/bin/ln -s /sbin/busybox /sbin/awk
/system/bin/ln -s /sbin/busybox /sbin/basename
/system/bin/ln -s /sbin/busybox /sbin/bbconfig
/system/bin/ln -s /sbin/busybox /sbin/bunzip2
/system/bin/ln -s /sbin/busybox /sbin/bzcat
/system/bin/ln -s /sbin/busybox /sbin/bzip2
/system/bin/ln -s /sbin/busybox /sbin/cal
/system/bin/ln -s /sbin/busybox /sbin/cat
/system/bin/ln -s /sbin/busybox /sbin/catv
/system/bin/ln -s /sbin/busybox /sbin/chgrp
/system/bin/ln -s /sbin/busybox /sbin/chmod
/system/bin/ln -s /sbin/busybox /sbin/chown
/system/bin/ln -s /sbin/busybox /sbin/chroot
/system/bin/ln -s /sbin/busybox /sbin/cksum
/system/bin/ln -s /sbin/busybox /sbin/clear
/system/bin/ln -s /sbin/busybox /sbin/cmp
/system/bin/ln -s /sbin/busybox /sbin/cp
/system/bin/ln -s /sbin/busybox /sbin/cpio
/system/bin/ln -s /sbin/busybox /sbin/cut
/system/bin/ln -s /sbin/busybox /sbin/date
/system/bin/ln -s /sbin/busybox /sbin/dc
/system/bin/ln -s /sbin/busybox /sbin/dd
/system/bin/ln -s /sbin/busybox /sbin/depmod
/system/bin/ln -s /sbin/busybox /sbin/devmem
/system/bin/ln -s /sbin/busybox /sbin/df
/system/bin/ln -s /sbin/busybox /sbin/diff
/system/bin/ln -s /sbin/busybox /sbin/dirname
/system/bin/ln -s /sbin/busybox /sbin/dmesg
/system/bin/ln -s /sbin/busybox /sbin/dos2unix
/system/bin/ln -s /sbin/busybox /sbin/du
/system/bin/ln -s /sbin/busybox /sbin/echo
/system/bin/ln -s /sbin/busybox /sbin/egrep
/system/bin/ln -s /sbin/busybox /sbin/env
/system/bin/ln -s /sbin/busybox /sbin/expr
/system/bin/ln -s /sbin/busybox /sbin/false
/system/bin/ln -s /sbin/busybox /sbin/fdisk
/system/bin/ln -s /sbin/busybox /sbin/fgrep
/system/bin/ln -s /sbin/busybox /sbin/find
/system/bin/ln -s /sbin/busybox /sbin/fold
/system/bin/ln -s /sbin/busybox /sbin/free
/system/bin/ln -s /sbin/busybox /sbin/freeramdisk
/system/bin/ln -s /sbin/busybox /sbin/fuser
/system/bin/ln -s /sbin/busybox /sbin/getopt
/system/bin/ln -s /sbin/busybox /sbin/grep
/system/bin/ln -s /sbin/busybox /sbin/gunzip
/system/bin/ln -s /sbin/busybox /sbin/gzip
/system/bin/ln -s /sbin/busybox /sbin/head
/system/bin/ln -s /sbin/busybox /sbin/hexdump
/system/bin/ln -s /sbin/busybox /sbin/id
/system/bin/ln -s /sbin/busybox /sbin/insmod
/system/bin/ln -s /sbin/busybox /sbin/install
/system/bin/ln -s /sbin/busybox /sbin/kill
/system/bin/ln -s /sbin/busybox /sbin/killall
/system/bin/ln -s /sbin/busybox /sbin/killall5
/system/bin/ln -s /sbin/busybox /sbin/length
/system/bin/ln -s /sbin/busybox /sbin/less
/system/bin/ln -s /sbin/busybox /sbin/ln
/system/bin/ln -s /sbin/busybox /sbin/losetup
/system/bin/ln -s /sbin/busybox /sbin/ls
/system/bin/ln -s /sbin/busybox /sbin/lsmod
/system/bin/ln -s /sbin/busybox /sbin/lspci
/system/bin/ln -s /sbin/busybox /sbin/lsusb
/system/bin/ln -s /sbin/busybox /sbin/lzop
/system/bin/ln -s /sbin/busybox /sbin/lzopcat
/system/bin/ln -s /sbin/busybox /sbin/md5sum
/system/bin/ln -s /sbin/busybox /sbin/mkdir
/system/bin/ln -s /sbin/busybox /sbin/mke2fs
/system/bin/ln -s /sbin/busybox /sbin/mkfifo
/system/bin/ln -s /sbin/busybox /sbin/mkfs.ext2
/system/bin/ln -s /sbin/busybox /sbin/mknod
/system/bin/ln -s /sbin/busybox /sbin/mkswap
/system/bin/ln -s /sbin/busybox /sbin/mktemp
/system/bin/ln -s /sbin/busybox /sbin/modprobe
/system/bin/ln -s /sbin/busybox /sbin/more
/system/bin/ln -s /sbin/busybox /sbin/mount
/system/bin/ln -s /sbin/busybox /sbin/mountpoint
/system/bin/ln -s /sbin/busybox /sbin/mv
/system/bin/ln -s /sbin/busybox /sbin/nice
/system/bin/ln -s /sbin/busybox /sbin/nohup
/system/bin/ln -s /sbin/busybox /sbin/od
/system/bin/ln -s /sbin/busybox /sbin/patch
/system/bin/ln -s /sbin/busybox /sbin/pgrep
/system/bin/ln -s /sbin/busybox /sbin/pidof
/system/bin/ln -s /sbin/busybox /sbin/pkill
/system/bin/ln -s /sbin/busybox /sbin/printenv
/system/bin/ln -s /sbin/busybox /sbin/printf
/system/bin/ln -s /sbin/busybox /sbin/ps
/system/bin/ln -s /sbin/busybox /sbin/pwd
/system/bin/ln -s /sbin/busybox /sbin/rdev
/system/bin/ln -s /sbin/busybox /sbin/readlink
/system/bin/ln -s /sbin/busybox /sbin/realpath
/system/bin/ln -s /sbin/busybox /sbin/renice
/system/bin/ln -s /sbin/busybox /sbin/reset
/system/bin/ln -s /sbin/busybox /sbin/rm
/system/bin/ln -s /sbin/busybox /sbin/rmdir
/system/bin/ln -s /sbin/busybox /sbin/rmmod
/system/bin/ln -s /sbin/busybox /sbin/run-parts
/system/bin/ln -s /sbin/busybox /sbin/sed
/system/bin/ln -s /sbin/busybox /sbin/seq
/system/bin/ln -s /sbin/busybox /sbin/setsid
/system/bin/ln -s /sbin/busybox /sbin/sh
/system/bin/ln -s /sbin/busybox /sbin/sha1sum
/system/bin/ln -s /sbin/busybox /sbin/sha256sum
/system/bin/ln -s /sbin/busybox /sbin/sha512sum
/system/bin/ln -s /sbin/busybox /sbin/sleep
/system/bin/ln -s /sbin/busybox /sbin/sort
/system/bin/ln -s /sbin/busybox /sbin/split
/system/bin/ln -s /sbin/busybox /sbin/stat
/system/bin/ln -s /sbin/busybox /sbin/strings
/system/bin/ln -s /sbin/busybox /sbin/stty
/system/bin/ln -s /sbin/busybox /sbin/swapoff
/system/bin/ln -s /sbin/busybox /sbin/swapon
/system/bin/ln -s /sbin/busybox /sbin/sync
/system/bin/ln -s /sbin/busybox /sbin/sysctl
/system/bin/ln -s /sbin/busybox /sbin/tac
/system/bin/ln -s /sbin/busybox /sbin/tail
/system/bin/ln -s /sbin/busybox /sbin/tar
/system/bin/ln -s /sbin/busybox /sbin/tee
/system/bin/ln -s /sbin/busybox /sbin/test
/system/bin/ln -s /sbin/busybox /sbin/time
/system/bin/ln -s /sbin/busybox /sbin/top
/system/bin/ln -s /sbin/busybox /sbin/touch
/system/bin/ln -s /sbin/busybox /sbin/tr
/system/bin/ln -s /sbin/busybox /sbin/true
/system/bin/ln -s /sbin/busybox /sbin/tty
#### Open recovery ....
#### /system/bin/ln -s /sbin/busybox /sbin/tune2fs
/system/bin/ln -s /sbin/busybox /sbin/umount
/system/bin/ln -s /sbin/busybox /sbin/uname
/system/bin/ln -s /sbin/busybox /sbin/uniq
/system/bin/ln -s /sbin/busybox /sbin/unix2dos
/system/bin/ln -s /sbin/busybox /sbin/unlzop
/system/bin/ln -s /sbin/busybox /sbin/unzip
/system/bin/ln -s /sbin/busybox /sbin/uptime
/system/bin/ln -s /sbin/busybox /sbin/usleep
/system/bin/ln -s /sbin/busybox /sbin/uudecode
/system/bin/ln -s /sbin/busybox /sbin/uuencode
/system/bin/ln -s /sbin/busybox /sbin/watch
/system/bin/ln -s /sbin/busybox /sbin/wc
/system/bin/ln -s /sbin/busybox /sbin/which
/system/bin/ln -s /sbin/busybox /sbin/whoami
/system/bin/ln -s /sbin/busybox /sbin/xargs
/system/bin/ln -s /sbin/busybox /sbin/yes
/system/bin/ln -s /sbin/busybox /sbin/zcat

## end busybox sym link..

exit
